POST /whatsapp/flows/encryption-key

Register (or replace) the RSA public key (PEM)

POST
/whatsapp/flows/encryption-key

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
accountId*string

WhatsApp account id

businessPublicKey*string

Response Body

{success}

application/json
  1. response
success?boolean
message?string
Example Request
curl -X POST 'https://example.com/api/v1/whatsapp/flows/encryption-key' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string",  "businessPublicKey": "string"}'
Example Response
{  "success": true,  "message": "string"}